Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename array-index
%global enable_tests 1

Name:		nodejs-array-index
Version:	1.0.0
Release:	alt1_7
Summary:	Invoke getter/setter functions on array-like objects

License:	MIT
URL:		https://github.com/TooTallNate/array-index.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	grep
BuildRequires:	npm(debug)
BuildRequires:	npm(es6-symbol)
%endif
Source44: import.info

%description
Invoke getter/setter functions on array-like objects


%prep
%setup -q -n package

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md History.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- new version

* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt0.1.njs.bootstrap
- bootstrap

